do

function GiveUnitsToPlayer( data, units )
    if units and ScenarioInfo.Options.DisableUnitTransfer != 'yes' then
        local toBrain = GetArmyBrain(data.To)
        if toBrain:IsDefeated() then return end
        for k,v in units do
            local owner = v:GetArmy()
            if OkayToMessWithArmy(owner) and IsAlly(owner,data.To) and not GetArmyBrain(owner):IsDefeated() then

                # Only allow units not attached to be given.
                # This is because units will give all of it's children
                # over as well, so we only want the top level units to be given.
                # Also, don't allow commanders to be given.

                if v:GetParent() == v then
                    ChangeUnitArmy(v,data.To)
                end
            end
        end
    end
end

end